﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim sql1 As SQL
	
End Sub

Sub Service_Create
	'Copy the file from Direct Asset to direct internal
	If File.Exists(File.DirInternal, "App1") = False Then  'File.DirInternal, (App1) is a target folder thus the folder of the application 
		File.Copy(File.DirAssets, "ListTable.db", File.DirInternal, "App1") 
	End If
	
	'Make connect to the File this can be done by sql variable so what i need to do is to activate the sql from Library after that i initialize it.
	sql1.Initialize(File.DirInternal, "App1", True)

End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
